> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jambonz.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server.

# create a Google custom voice

POST https://api.jambonz.cloud/v1/GoogleCustomVoices
Content-Type: application/json

Reference: https://docs.jambonz.org/reference/rest-platform-management/speech/create-google-custom-voice

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a list of GoogleCustomVoice.

- `list of GoogleCustomVoice`

## Response

### 201

Least Cost Routing Carrier Set Entry successfully created

- `sid` (string, required)

## Errors

### 400 Bad Request Error

bad request

- `msg` (string, required)

### 422 Unprocessable Entity Error

unprocessable entity

- `msg` (string, required)

### 500 Internal Server Error

system error

- `msg` (string, required)

## Types

### GoogleCustomVoice

- `speech_credential_sid` (string, required)
- `name` (string, required)
- `reported_usage` (string, required)
- `model` (string, required)

## Examples

**Request**

```json
[
  {
    "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Sally",
    "reported_usage": "REALTIME",
    "model": "projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123"
  }
]
```

**Response**

```json
{
  "sid": "9d26a637-1679-471f-8da8-7150266e1254"
}
```

**SDK Code**

```python
import requests

url = "https://api.jambonz.cloud/v1/GoogleCustomVoices"

payload = [
    {
        "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "Sally",
        "reported_usage": "REALTIME",
        "model": "projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.jambonz.cloud/v1/GoogleCustomVoices';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"speech_credential_sid":"3fa85f64-5717-4562-b3fc-2c963f66afa6","name":"Sally","reported_usage":"REALTIME","model":"projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.jambonz.cloud/v1/GoogleCustomVoices"

	payload := strings.NewReader("[\n  {\n    \"speech_credential_sid\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n    \"name\": \"Sally\",\n    \"reported_usage\": \"REALTIME\",\n    \"model\": \"projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.jambonz.cloud/v1/GoogleCustomVoices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"speech_credential_sid\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n    \"name\": \"Sally\",\n    \"reported_usage\": \"REALTIME\",\n    \"model\": \"projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.jambonz.cloud/v1/GoogleCustomVoices")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"speech_credential_sid\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n    \"name\": \"Sally\",\n    \"reported_usage\": \"REALTIME\",\n    \"model\": \"projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123\"\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.jambonz.cloud/v1/GoogleCustomVoices', [
  'body' => '[
  {
    "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Sally",
    "reported_usage": "REALTIME",
    "model": "projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.jambonz.cloud/v1/GoogleCustomVoices");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"speech_credential_sid\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n    \"name\": \"Sally\",\n    \"reported_usage\": \"REALTIME\",\n    \"model\": \"projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Sally",
    "reported_usage": "REALTIME",
    "model": "projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/GoogleCustomVoices")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```